oc get -oyaml pod -n mssql-db mssql-deployment-9f4999f55-chl9r
apiVersion: v1
kind: Pod
metadata:
  annotations:
    io.katacontainers.config.hypervisor.kernel_params: fs.aio-max-nr=1048576
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.0.138/23"],"mac_address":"0a:58:0a:81:00:8a","gateway_ips":["10.129.0.1"],"ip_address":"10.129.0.138/23","gateway_ip":"10.129.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.138"
          ],
          "mac": "0a:58:0a:81:00:8a",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.138"
          ],
          "mac": "0a:58:0a:81:00:8a",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  creationTimestamp: "2022-02-23T18:37:43Z"
  generateName: mssql-deployment-9f4999f55-
  labels:
    app: mssql
    pod-template-hash: 9f4999f55
    type: mssql-database-server
  name: mssql-deployment-9f4999f55-chl9r
  namespace: mssql-db
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: mssql-deployment-9f4999f55
    uid: 3e0072fa-13ce-489e-8059-599886baff5b
  resourceVersion: "717914"
  uid: 732e5498-6886-451f-a79d-4d29eacaa71e
spec:
  containers:
  - env:
    - name: MSSQL_PID
      value: Enterprise
    - name: ACCEPT_EULA
      value: "Y"
    - name: MSSQL_SA_PASSWORD
      value: s3curePasswordString
    image: mcr.microsoft.com/mssql/rhel/server:2019-latest
    imagePullPolicy: IfNotPresent
    name: mssql
    ports:
    - containerPort: 1433
      protocol: TCP
    resources:
      limits:
        cpu: "24"
        memory: 32Gi
      requests:
        cpu: "16"
        memory: 32Gi
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000870000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-znjq4
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: default-dockercfg-mjt97
  nodeName: master-2
  nodeSelector:
    kubernetes.io/hostname: master-2
    node-role.kubernetes.io/master: ""
  overhead:
    cpu: 250m
    memory: 350Mi
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  runtimeClassName: kata
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000870000
    seLinuxOptions:
      level: s0:c30,c0
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 10
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: kube-api-access-znjq4
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-02-23T18:37:43Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-02-23T18:39:30Z"
    message: 'containers with unready status: [mssql]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-02-23T18:39:30Z"
    message: 'containers with unready status: [mssql]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-02-23T18:37:43Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://e33e6471cfa4641d7cb565fefbd7b012206d66d42106a1b24e8c3315263dcc57
    image: mcr.microsoft.com/mssql/rhel/server:2019-latest
    imageID: mcr.microsoft.com/mssql/rhel/server@sha256:2d8bd35bf2b84f5a705f1f6a0d74cbac375ca6d9fa3e68fbb8dc40af1987aa4d
    lastState:
      terminated:
        containerID: cri-o://e33e6471cfa4641d7cb565fefbd7b012206d66d42106a1b24e8c3315263dcc57
        exitCode: 127
        finishedAt: "2022-02-23T18:39:30Z"
        reason: Error
        startedAt: "2022-02-23T18:39:28Z"
    name: mssql
    ready: false
    restartCount: 4
    started: false
    state:
      waiting:
        message: back-off 1m20s restarting failed container=mssql pod=mssql-deployment-9f4999f55-chl9r_mssql-db(732e5498-6886-451f-a79d-4d29eacaa71e)
        reason: CrashLoopBackOff
  hostIP: 169.60.184.237
  phase: Running
  podIP: 10.129.0.138
  podIPs:
  - ip: 10.129.0.138
  qosClass: Burstable
  startTime: "2022-02-23T18:37:43Z"
